require 'colorize'

module Quandl
  module Cassandra
    class Base
      module Logging
        extend ActiveSupport::Concern

        module ClassMethods
          def prepare(*args, &block)
            statement = args.first.to_s
            statement = "#{statement[0..200]} ... #{statement.length} chars" if statement.length > 200
            Logger.debug(statement)
            super if defined?(super)
          end

          def execute(*args, &block)
            statement = args.first.to_s
            statement = "#{statement[0..200]} ... #{statement.length} chars" if statement.length > 200
            t1 = Time.now
            begin
              r = super if defined?(super)
            ensure
              Logger.debug("(#{t1.elapsed_ms}) ".blue + " #{statement}")
            end
            r
          end
        end
      end
    end
  end
end