class Quandl::Cassandra::Batch
  module Logging

    extend ActiveSupport::Concern

    module ClassMethods

      def execute(rows, &block)
        # log init
        statement = block.call(rows[0].collect{'?'})
        t1 = Time.now
        # call method
        r = super if defined?(super)
        # log write
        Quandl::Logger.debug("(#{t1.elapsed_ms}) ".blue + " [#{rows.count} rows] BATCH #{statement}")
        r
      end

    end

  end
end