module Quandl
  module Cassandra
    
    class << self
      attr_accessor :configuration
    end
    
    def self.configuration
      @configuration ||= Configuration.new
    end
    
    def self.configure
      yield(configuration)
      true
    end
    
    class Configuration
    
      attr_accessor :hosts, :consistency, :keyspace, :batch_size, :read_consistency, :write_consistency
      
      def initialize
        @hosts = ['localhost']
        @consistency = :all
        @read_consistency = :one
        @write_consistency = :one
        @batch_size = 35 * 4
      end
      
      def attributes
        { hosts: hosts, consistency: consistency, keyspace: keyspace, batch_size: batch_size }
      end
      
      def to_h
        attributes
      end
      
    end
    
  end
end