module Quandl::Cassandra::Types
  
  require 'quandl/cassandra/types/abstract_type'
  require 'quandl/cassandra/types/boolean_type'
  require 'quandl/cassandra/types/timestamp_type'
  require 'quandl/cassandra/types/decimal_type'
  require 'quandl/cassandra/types/double_type'
  require 'quandl/cassandra/types/float_type'
  require 'quandl/cassandra/types/integer_type'
  require 'quandl/cassandra/types/long_type'
  require 'quandl/cassandra/types/utf8_type'
  require 'quandl/cassandra/types/uuid_type'
  
  class << self
    def type(type)
      self.types[type]
    end
    
    def types
      @@types ||= {
        bigint:      Quandl::Cassandra::Types::DoubleType,
        blob:        Quandl::Cassandra::Types::UTF8Type,
        boolean:     Quandl::Cassandra::Types::BooleanType,
        counter:     Quandl::Cassandra::Types::IntegerType,
        decimal:     Quandl::Cassandra::Types::FloatType,
        double:      Quandl::Cassandra::Types::IntegerType,
        float:       Quandl::Cassandra::Types::FloatType,
        int:         Quandl::Cassandra::Types::IntegerType,
        timestamp:   Quandl::Cassandra::Types::TimestampType,
        varchar:     Quandl::Cassandra::Types::UTF8Type,
        text:        Quandl::Cassandra::Types::UTF8Type,
        varint:      Quandl::Cassandra::Types::IntegerType,
        timeuuid:    Quandl::Cassandra::Types::TimestampType,
        uuid:        Quandl::Cassandra::Types::UUIDType,
        inet:        Quandl::Cassandra::Types::UTF8Type,
      }
    end
  end
  
end


