class Quandl::Cassandra::Types::AbstractType

  class << self
    
    def sanitize_for_cql(value)
      sanitize(value)
    end
    
    def sanitize(value)
      value
    end
    
    def quote_string(value)
      ["'",value.to_s.gsub(/[']/, '\\\\\''),"'"].join
    end
    
  end
      
  attr_accessor :value
      
  def initialize(v)
    self.value = v
  end
  
  def sanitize_for_cql
    self.class.sanitize_for_cql(value)
  end
  
  def sanitize
    self.class.sanitize(value)
  end
  
end