class Quandl::Cassandra::Types::BooleanType < Quandl::Cassandra::Types::AbstractType
  
  def self.sanitize(value)
    return true if value == true || value.to_s =~ (/(true|t|yes|y|1)$/i)
    return false if value == false || value.blank? || value.to_s =~ (/(false|f|no|n|0)$/i)
  rescue
    raise Quandl::Cassandra::Error::CastException.new("Unable to convert value to #{name} #{value}", value)
  end
  
end