class Quandl::Cassandra::Types::TimestampType < Quandl::Cassandra::Types::AbstractType
  
  def self.sanitize_for_cql(value)
    (value.to_f * 1000).to_i
  end
  
  def self.sanitize(value)
    return value if value.is_a?(Time)
    return Time.at(value.get_time / 1000.0) if value.respond_to?(:get_time)
    Time.at(value.to_f) if value.present?
  rescue => error
    raise Quandl::Cassandra::Error::CastException.new("Unable to convert to #{name} #{value}", value)
  end
  
end