class Quandl::Cassandra::Types::UTF8Type < Quandl::Cassandra::Types::AbstractType
  
  def self.sanitize_for_cql(value)
    quote_string( sanitize(value) )
  end
  
  def self.sanitize(value)
    RUBY_VERSION >= "1.9" ? value.to_s.dup.force_encoding('UTF-8') : value.to_s.dup
  rescue => e
    raise Quandl::Cassandra::Error::CastException.new("Unable to convert to #{name} #{value}", caller)
  end
  
end