module Quandl::Cassandra::Types
  
  class UUIDType < Quandl::Cassandra::Types::AbstractType
  
    def self.sanitize(value)
      value = value.to_s
      raise Quandl::Cassandra::Error::CastException, "Unable to convert to #{name} #{value}", caller unless value =~ regex_validator
      value
    rescue => e
      raise 
    end

    def self.regex_validator
      /^[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}$/
    end
    
  end
  
  class TimeUUIDType < UUIDType; end
  
end